h34994
s 00042/00000/00000
d D 1.1 82/08/03 08:49:00 cecily 1 0
e
u
U
t
T
I 1
rlock	title	recource locking primitive

.rlock	equ	62
r0	equ	0
rf	equ	15
sp	equ	7

	impur
rlocksvc	equ	*
	svc	0,.rlock
str	dc	a(*-*)

	pure
	entry	rlock
rlock	equ	*
	l	r0,0(sp)
	st	r0,str
	lis	r0,0
	svc	0,0
	dc	a(rlocksvc)
	bc	error
	br	rf

	entry	runlock
runlock	equ	*
	l	r0,0(sp)
	st	r0,str
	lis	r0,1
	svc	0,0
	dc	a(rlocksvc)
	bc	error
	br	rf

error	equ	*
	st	r0,errno
	lcs	r0,1
	br	rf

errno	comn
	das	1
	ends
	end
E 1
